Page MenuHomePhabricator

Create docker image for wdqs version 0.3.2
Closed, ResolvedPublic

Description

Motivation
0.3.2 of the wdqs has been released, and in order for users of wdqs docker image to be able to use the new version of wdqs then we need to created an image with that release.

WDQS source and release dist package
https://archiva.wikimedia.org/repository/snapshots/org/wikidata/query/rdf/service/0.3.2-SNAPSHOT/service-0.3.2-SNAPSHOT-dist.zip

WDQS dokcer image source
https://github.com/wmde/wikibase-docker/tree/master/wdqs
The 0.3.1 dir can mostly be copied with small tweaks into 0.3.2 dir

Event Timeline

Addshore created this task.Jun 30 2019, 5:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 30 2019, 5:52 PM
Addshore triaged this task as Low priority.Jun 30 2019, 5:52 PM
Addshore moved this task from Backlog to Features on the Wikibase-Containers board.
Addshore moved this task from incoming to consider for next sprint on the Wikidata board.
Addshore moved this task from All WDQS-related tasks to External on the Wikidata-Query-Service board.
Addshore moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Why are we bumping version here?

0.3.2 of the wdqs has been released (and for a while).
If users of the docker images want to use any of the code changes (bug of security fixes) then we nee an image with said code.

alaa_wmde updated the task description. (Show Details)Jul 5 2019, 1:01 PM
alaa_wmde moved this task from Needs Work to Ready to estimate on the Wikidata-Campsite board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 9 2019, 4:04 PM
alaa_wmde closed this task as Resolved.Jul 11 2019, 8:27 PM